In order to export iOS Apps with PubCoder, you need to install Xcode, the iOS SDK for Mac Operating Systems. The minimum iOS version required by Apple in order to accept a submitted App on the store is 8.0. Therefore the minimum version of Xcode required is 6.0, which can be installed starting from OS 10.9.4 Mavericks or later.

Xcode can be downloaded from the Mac App Store at this link.

Furthermore, you need to have an Apple Developer account and be a member of the iOS Developer Program. For more information follow this link.